org.eclipse.ease.modules

## Annotation Type ScriptParameter

    @Retention(value=RUNTIME)
     @Target(value=PARAMETER)
     @Documented
    public @interface ScriptParameter

### Field Summary

Fields
`static String` `NULL`
`static String` `UNDEFINED`

### Optional Element Summary

Optional Elements
`String` `defaultValue`
`String` `name`

### Field Detail

#### NULL

    public static final String NULL

#### UNDEFINED

    public static final String UNDEFINED

### Element Detail

#### name

    public abstract String name

Default:
  ""

#### defaultValue

    public abstract String defaultValue

Default:
  "org.eclipse.ease.modules.ScriptParameter.undefined"